These files are clones to evaluate general clone detection recall.

## Description

- "fragments" dir
  - This dir contains 100 methods collected from JDK6 and apache-commons.

- "mutantfragments" dir
  - This dir contains 1500 methods generated by Mutant Framework.
    - "mutantfragements" 1 -- 15 are cloned by "fragments" 1.
    - "mutantfragements" 15 -- 30 are cloned by "fragments" 2.
    - ...
    - "mutantfragements" 1486 -- 1500 are cloned by "fragments" 100.

- Mutant operators
  - All default
    1. Change in comments: comment added between two tokens (Type-1)
    2. Change in comments: comment added at end of a line (Type-1)
    3. Change in formatting: a newline is added between two tokens (Type-1)
    4. Change in formatting: a newline is removed (without changing meaning (Type-1)
    5. Change in whitespace: a space or tab is added between two tokens (Type-1)
    6. Change in whitespace: a space or tab is removed (without changing meaning) (Type-1)
    7. Renaming of identifier: systematic renaming of all instances of a chosen identifier (Type-2)
    8. Renaming of identifier: arbitrary renaming of a single identifier instance (Type-2)
    9. Change in literal value: a number value is replaced (Type-2)
    10. Change in literal value: a string value is replaced (Type-2)
    11. Insertion of a line of code (without invalidating syntax) (Type-3)
    12. Deletion of a line of code (without invalidating syntax) (Type-3)
    13. Modification of a whole line ((without invalidating syntax) (Type-3)
    14. Small insertion within a line (addition of a parameter) (Type-3)
    15. Small deletion within a line (removal of a parameter) (Type-3)

## How to reproduce

1. Injecting `fragments` and `mutantfragments` using [MutationInjectionFramework](https://github.com/jeffsvajlenko/MutationInjectionFramework).
2. Detecting clones using `NIL-all.jar` (JRE is required. `java -jar NIL-all.jar -s /path/to/code`).
3. Validating using MutationInjectionFramework.
